%global pkgver %(echo %version | tr . _)
Name:          mockmaker
Version:       1.12.0
Release:       %mkrel 1
Summary:       MockMaker
Group:         Development/Java
License:       MIT
Url:           http://mockmaker.sourceforge.net/
# cvs -d:pserver:anonymous@mockmaker.cvs.sourceforge.net:/cvsroot/mockmaker login
# cvs -z3 -d:pserver:anonymous@mockmaker.cvs.sourceforge.net:/cvsroot/mockmaker export -r HEAD MockMaker
Source0:       MockMaker-1.12.0-src-cvs.tar.gz
# from https://maven.nuxeo.org/nexus/content/groups/public/mockmaker/mmmockobjects/1.12.0/
Source1:       mmmockobjects-1.12.0.pom
Patch0:        mockmaker-1.12.0-build_xml.patch
Patch1:        mockmaker-1.12.0-qdox1_12.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: junit
BuildRequires: qdox
BuildRequires: mockobjects

Requires:      mockobjects
Requires:      qdox

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
MockMaker is a program for creating source code for
mock object classes. Given an interface, it writes
the source code for a mock object class that implements
the interface and allows instances of that class to
have expectations set about how many times a method
is called, what parameters each method is called with,
and to pre-set return values for methods. In many cases
(possibly most cases), the classes produced by MockMaker
are exactly what you want a mock class to do.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -n MockMaker

chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;
pushd lib
   ln -sf $(build-classpath ant) ant.jar
   ln -sf $(build-classpath junit) junit.jar
   ln -sf $(build-classpath mockobjects-core) mmmockobjects.jar
   ln -sf $(build-classpath qdox) qdox.jar
popd

%patch0 -b .sav
%patch1 -p0

%build

ant

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

unzip -q MockMaker%pkgver.zip

mkdir -p %{buildroot}%{_javadir}
install -pm 644 MockMaker/lib/MockMaker.jar %{buildroot}%{_javadir}/%{name}.jar

(
  cd %{buildroot}%{_javadir}
  ln -sf %{name}.jar MockMaker.jar
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}/config
install -pm 644 MockMaker/mockmaker.cfg %{buildroot}%{_datadir}/%{name}/config
install -pm 644 MockMaker/old.cfg %{buildroot}%{_datadir}/%{name}/config
mkdir -p %{buildroot}%{_datadir}/%{name}/tests
install -pm 644 MockMaker/mockmaker/tests/AcceptableInterface.class %{buildroot}%{_datadir}/%{name}/tests

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr javadoc/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_javadir}/MockMaker.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_datadir}/%{name}/*
%doc MockMaker/*.html

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sun Nov 13 2011 gil <gil> 1.12.0-1.mga2
+ Revision: 167319
- imported package mockmaker

